"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const FSUtil_1 = require("../../util/FSUtil");
const Date_1 = require("../../util/Date");
const TimeImpl = class {
    getTime() {
        const date = child_process_1.execSync(`Echo %Date:~0,4%/%Date:~5,2%/%Date:~8,2% %Time:~0,2%:%Time:~3,2%:%Time:~6,2%`).toString();
        return new Date(date).getTime();
    }
    setTime(t) {
        const dateTime = new Date();
        dateTime.setTime(t);
        const date = Date_1.format(dateTime, 'yy-MM-dd');
        const time = Date_1.format(dateTime, 'HH:mm:ss');
        child_process_1.execSync(`date ${date} & time ${time}`);
    }
};
const ZoneImpl = class {
    tree() {
        return child_process_1.execSync(`tzutil /l`).toString()
            .split(/[\r\n]+/).filter(line => /^[\w\s]+$/.test(line)).map(name => ({ name }));
    }
    getZone() {
        return child_process_1.execSync('tzutil /g').toString();
    }
    setZone(zone) {
        return FSUtil_1.PromiseExec(`tzutil /s "${zone}"`);
    }
};
let ntpEnabled = true;
let ntpServer = 'ntp.microsoft.com';
const NTPImpl = class {
    getEnabled() {
        return ntpEnabled;
    }
    setEnabled(enable) {
        ntpEnabled = enable;
        return FSUtil_1.PromiseExec(null);
    }
    setServer(server) {
        ntpServer = server;
        return FSUtil_1.PromiseExec(null);
    }
    getServer() {
        return ntpServer;
    }
};
const time = new TimeImpl();
const zone = new ZoneImpl();
const ntp = new NTPImpl();
exports.default = {
    time,
    zone,
    ntp
};
