"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fmt_num = n => `${n < 10 ? '0' : ''}${n}`;
const reg = /([yMdHhms\$]{1,2})/g;
const map = {
    yy: d => d.getFullYear(),
    M: d => 1 + d.getMonth(),
    MM: d => fmt_num(1 + d.getMonth()),
    d: d => d.getDate(),
    dd: d => fmt_num(d.getDate()),
    h: d => d.getHours() % 12,
    H: d => d.getHours(),
    hh: d => fmt_num(d.getHours() % 12),
    HH: d => fmt_num(d.getHours()),
    m: d => d.getMinutes(),
    mm: d => fmt_num(d.getMinutes()),
    s: d => d.getSeconds(),
    ss: d => fmt_num(d.getSeconds())
};
exports.format = (date, fmt) => fmt.replace(reg, (match, key) => map[key](date));
