"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const child_process_1 = require("child_process");
exports.readDirDeepSync = function (path) {
    function dirDeep(path, name = '') {
        const pathname = path_1.join(path, name);
        const stat = fs_1.statSync(pathname);
        if (stat.isDirectory()) {
            return fs_1.readdirSync(pathname).filter(p => /^[A-Z]\w+$/.test(p)).map((name) => ({
                name,
                children: dirDeep(pathname, name)
            }));
        }
    }
    return dirDeep(path) || [];
};
exports.flattenTreeNodeDeep = function flattenTreeNodeDeep(tree, parents = []) {
    let res = [];
    tree.map(({ name, children }) => {
        if (children) {
            res = res.concat(flattenTreeNodeDeep(children, parents.concat([{ name }])));
        }
        else {
            res.push({
                name: parents.map(({ name }) => name).concat(name).join('/')
            });
        }
    });
    return res;
};
exports.PromiseExec = cmd => new Promise((resolve, reject) => {
    if (cmd) {
        child_process_1.exec(cmd, (err, res) => {
            if (err) {
                console.error(err);
                reject(err);
            }
            else {
                resolve(res);
            }
        });
    }
    else {
        cmd === null ? resolve(cmd) : reject(new Error('cmd must null'));
    }
}).catch(err => {
    console.error(err);
});
